Package org.apache.lucene.util

# Interface IOConsumer<T>

Type Parameters:
  `T` - the consumer's input type.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOConsumer<T>
An IO operation with a single input that may throw an IOException.

See Also:
  - `Consumer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T input)`
  Performs this operation on the given argument.

- ## Method Details

  - ### accept

    void accept(T input) throws IOException
    Performs this operation on the given argument.
    Parameters:
      `input` - the input argument
    Throws:
      `IOException` - if producing the result throws an `IOException`